startgroup
create_bd_cell -type ip -vlnv xilinx.com:ip:processing_system7:5.5 processing_system7_0
endgroup
apply_bd_automation -rule xilinx.com:bd_rule:processing_system7 -config {make_external "FIXED_IO, DDR" apply_board_preset "1" Master "Disable" Slave "Disable" }  [get_bd_cells processing_system7_0]
startgroup
set_property -dict [list CONFIG.PCW_FPGA1_PERIPHERAL_FREQMHZ {100} CONFIG.PCW_EN_CLK1_PORT {1}] [get_bd_cells processing_system7_0]
endgroup
connect_bd_net [get_bd_pins processing_system7_0/FCLK_CLK0] [get_bd_pins processing_system7_0/M_AXI_GP0_ACLK]
create_bd_cell -type module -reference neorv32_test_setup_bootloader neorv32_test_setup_bootloader_0
update_compile_order -fileset sources_1
update_compile_order -fileset sim_1
connect_bd_net [get_bd_pins neorv32_test_setup_bootloader_0/clk_i] [get_bd_pins processing_system7_0/FCLK_CLK1]
startgroup
create_bd_cell -type ip -vlnv xilinx.com:ip:util_vector_logic:2.0 util_vector_logic_0
endgroup
startgroup
set_property -dict [list CONFIG.C_SIZE {1} CONFIG.C_OPERATION {not} CONFIG.LOGO_FILE {data/sym_notgate.png}] [get_bd_cells util_vector_logic_0]
endgroup
connect_bd_net [get_bd_pins util_vector_logic_0/Res] [get_bd_pins neorv32_test_setup_bootloader_0/rstn_i]
startgroup
create_bd_port -dir I -from 0 -to 0 Op1
connect_bd_net [get_bd_pins /util_vector_logic_0/Op1] [get_bd_ports Op1]
endgroup
set_property name rst [get_bd_ports Op1]
startgroup
create_bd_port -dir I uart0_rxd_i
connect_bd_net [get_bd_pins /neorv32_test_setup_bootloader_0/uart0_rxd_i] [get_bd_ports uart0_rxd_i]
endgroup
set_property name uart_rxd [get_bd_ports uart0_rxd_i]
startgroup
create_bd_port -dir O uart0_txd_o
connect_bd_net [get_bd_pins /neorv32_test_setup_bootloader_0/uart0_txd_o] [get_bd_ports uart0_txd_o]
endgroup
set_property name uart_txd [get_bd_ports uart0_txd_o]
startgroup
create_bd_port -dir O -from 7 -to 0 gpio_o
connect_bd_net [get_bd_pins /neorv32_test_setup_bootloader_0/gpio_o] [get_bd_ports gpio_o]
endgroup
startgroup
create_bd_cell -type ip -vlnv xilinx.com:ip:xlslice:1.0 xlslice_0
endgroup
startgroup
set_property -dict [list CONFIG.DIN_WIDTH {8} CONFIG.DIN_TO {0} CONFIG.DIN_FROM {0}] [get_bd_cells xlslice_0]
endgroup
connect_bd_net [get_bd_pins neorv32_test_setup_bootloader_0/gpio_o] [get_bd_pins xlslice_0/Din]
startgroup
create_bd_port -dir O -from 0 -to 0 Dout
connect_bd_net [get_bd_pins /xlslice_0/Dout] [get_bd_ports Dout]
endgroup
set_property name led_boot [get_bd_ports Dout]
delete_bd_objs [get_bd_ports gpio_o]
regenerate_bd_layout
update_compile_order -fileset sources_1
update_compile_order -fileset sim_1
save_bd_design
close_bd_design [get_bd_designs riscv_wrapper]
add_files -norecurse /home/fretz/wsp/vivado_projects/neorv32/neorv32.srcs/sources_1/bd/riscv_wrapper/hdl/riscv_wrapper_wrapper.vhd
set_property top riscv_wrapper_wrapper [current_fileset]